<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * RazonSocial
 *
 * @ORM\Table(name="razon_social", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"})})
 * @ORM\Entity
 */
class RazonSocial
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_raz_soc", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideRazSoc;

    /**
     * @var string
     *
     * @ORM\Column(name="rfc", type="string", length=100, nullable=false)
     */
    private $rfc;

    /**
     * @var string
     *
     * @ORM\Column(name="razon_social", type="string", length=255, nullable=false)
     */
    private $razonSocial;

    /**
     * @var string
     *
     * @ORM\Column(name="dom_fis", type="string", length=255, nullable=false)
     */
    private $domFis;

    /**
     * @var string
     *
     * @ORM\Column(name="col_loc", type="string", length=255, nullable=false)
     */
    private $colLoc;

    /**
     * @var string
     *
     * @ORM\Column(name="mun_del", type="string", length=255, nullable=false)
     */
    private $munDel;

    /**
     * @var string
     *
     * @ORM\Column(name="edo", type="string", length=255, nullable=false)
     */
    private $edo;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_lic", type="integer", nullable=true)
     */
    private $cveLic = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_rectora", type="string", length=255, nullable=true)
     */
    private $nomRectora = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_director", type="string", length=255, nullable=true)
     */
    private $nomDirector = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador", type="bigint", nullable=true)
     */
    private $contador = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;



    /**
     * Get ideRazSoc
     *
     * @return integer
     */
    public function getIdeRazSoc()
    {
        return $this->ideRazSoc;
    }

    /**
     * Set rfc
     *
     * @param string $rfc
     *
     * @return RazonSocial
     */
    public function setRfc($rfc)
    {
        $this->rfc = $rfc;

        return $this;
    }

    /**
     * Get rfc
     *
     * @return string
     */
    public function getRfc()
    {
        return $this->rfc;
    }

    /**
     * Set razonSocial
     *
     * @param string $razonSocial
     *
     * @return RazonSocial
     */
    public function setRazonSocial($razonSocial)
    {
        $this->razonSocial = $razonSocial;

        return $this;
    }

    /**
     * Get razonSocial
     *
     * @return string
     */
    public function getRazonSocial()
    {
        return $this->razonSocial;
    }

    /**
     * Set domFis
     *
     * @param string $domFis
     *
     * @return RazonSocial
     */
    public function setDomFis($domFis)
    {
        $this->domFis = $domFis;

        return $this;
    }

    /**
     * Get domFis
     *
     * @return string
     */
    public function getDomFis()
    {
        return $this->domFis;
    }

    /**
     * Set colLoc
     *
     * @param string $colLoc
     *
     * @return RazonSocial
     */
    public function setColLoc($colLoc)
    {
        $this->colLoc = $colLoc;

        return $this;
    }

    /**
     * Get colLoc
     *
     * @return string
     */
    public function getColLoc()
    {
        return $this->colLoc;
    }

    /**
     * Set munDel
     *
     * @param string $munDel
     *
     * @return RazonSocial
     */
    public function setMunDel($munDel)
    {
        $this->munDel = $munDel;

        return $this;
    }

    /**
     * Get munDel
     *
     * @return string
     */
    public function getMunDel()
    {
        return $this->munDel;
    }

    /**
     * Set edo
     *
     * @param string $edo
     *
     * @return RazonSocial
     */
    public function setEdo($edo)
    {
        $this->edo = $edo;

        return $this;
    }

    /**
     * Get edo
     *
     * @return string
     */
    public function getEdo()
    {
        return $this->edo;
    }

    /**
     * Set cveLic
     *
     * @param integer $cveLic
     *
     * @return RazonSocial
     */
    public function setCveLic($cveLic)
    {
        $this->cveLic = $cveLic;

        return $this;
    }

    /**
     * Get cveLic
     *
     * @return integer
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set nomRectora
     *
     * @param string $nomRectora
     *
     * @return RazonSocial
     */
    public function setNomRectora($nomRectora)
    {
        $this->nomRectora = $nomRectora;

        return $this;
    }

    /**
     * Get nomRectora
     *
     * @return string
     */
    public function getNomRectora()
    {
        return $this->nomRectora;
    }

    /**
     * Set nomDirector
     *
     * @param string $nomDirector
     *
     * @return RazonSocial
     */
    public function setNomDirector($nomDirector)
    {
        $this->nomDirector = $nomDirector;

        return $this;
    }

    /**
     * Get nomDirector
     *
     * @return string
     */
    public function getNomDirector()
    {
        return $this->nomDirector;
    }

    /**
     * Set contador
     *
     * @param integer $contador
     *
     * @return RazonSocial
     */
    public function setContador($contador)
    {
        $this->contador = $contador;

        return $this;
    }

    /**
     * Get contador
     *
     * @return integer
     */
    public function getContador()
    {
        return $this->contador;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return RazonSocial
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return RazonSocial
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;

        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }
}
